Subject: Re: FVWM: Strange behavour of command Move

From: Dominik Vogt <[email-masked]>
Date: Sat, 10 Nov 2001 17:49:37 +0100

On Wed, Oct 31, 2001 at 10:10:28AM +0000, Mikhael Goikhman wrote:
> On 31 Oct 2001 01:59:03 +0100, Marcus Lundblad wrote:
> > 
> > If the command "Move" is used from a menu in a window when the
> > mousepointer is outside of the window and the keyboard is used to move the
> > window, the window stoppes when the pointer (not the window) reaches the
> > border of the screen.
> > 
> > Is is intended that the pointer is suppoed to follow the movement?
> > (I have sloppy focus on all windows)
> > 
> > This is using 1x1 desks (1 frame per desk)
> 
> Yes, this is the way it works.
> 
> If you want pointer not to disturb the movement, you may warp it first:
> 
>   AddToMenu WindowOps
>   + "Move to right or bottom" MoveToRightBottom
>   + "Move to left or top"     MoveToLeftTop
> 
>   DestroyFunc MoveToRightBottom
>   AddToFunc   MoveToRightBottom
>   + I WarpToWindow 0 0
>   + I Move
> 
>   DestroyFunc MoveToLeftTop
>   AddToFunc   MoveToLeftTop
>   + I WarpToWindow 100 100
>   + I Move
> 
> Or if you want to move a window partially outside the screen use Move from
> the window borders not the window menu:
> 
>   Mouse 2 TSF A MoveOrRaiseLower
> 
>   DestroyFunc MoveOrRaiseLower
>   AddToFunc   MoveOrRaiseLower
>   + H Move
>   + M Move
>   + C RaiseLower

I've made a patch that now allows to move the window when the
keyboard has already hit the border.  The same would be nice for
mouse motion, of course, but X does not allow this.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].